ChiliProject - Bug # 1181: TemplateError on Activity page
I'm getting the error below on clicking the main "Activity" link:

<pre>

Processing ActivitiesController#index (for xxx.xxx.xxx.xxx at 2012-11-07 13:13:19) [GET]
Parameters: {"action"=>"index", "id"=>"myproject", "controller"=>"activities"}

Rendering template within layouts/base

Rendering activities/index

ActionView::TemplateError (changes was supposed to be a Hash, but was a String) on line #9 of
app/views/activities/index.html.erb:

6: <h3><%= format_activity_day(day) %></h3>

7. <dl>

8: <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| -%>

9: <dt class="<%= e.event_type %> <%= User.current.logged? && e.respond_to?(:event_author) &&
User.current == e.event_author ? 'me' : nil %>">

10: <%= avatar(e.event_author, :size => "24") if e.respond_to?(:event_author) %>

11: <span class="time"><%= format_time(e.event_datetime, false) %></span>

12: <%= content_tag('span’, h(e.project), :class => 'project’) if @project.nil? || @project != e.project %>

app/models/journal.rb:83:in "changes'

app/models/issue.rb:41

app/views/activities/index.html.erb:9

app/views/activities/index.html.erb:8:in “each’

app/views/activities/index.html.erb:8

app/views/activities/index.html.erb:5:in “each’

app/views/activities/index.html.erb:5

passenger (3.0.15) lib/phusion_passenger/rack/request_handler.rb:96:in “process_request'

passenger (3.0.15) lib/phusion_passenger/abstract_request_handler.rb:516:in
‘accept_and_process_next_request'

passenger (3.0.15) lib/phusion_passenger/abstract_request_handler.rb:274:in "main_loop'

passenger (3.0.15) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in
“start_request_handler'

passenger (3.0.15) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “send'’

passenger (3.0.15) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in
“handle_spawn_application’

passenger (3.0.15) lib/phusion_passenger/utils.rb:470:in “safe_fork'

passenger (3.0.15) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in
“handle_spawn_application’

passenger (3.0.15) lib/phusion_passenger/abstract_server.rb:357:in"__send_ '

passenger (3.0.15) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'

passenger (3.0.15) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’

passenger (3.0.15) lib/phusion_passenger/abstract_server.rb:180:in “start’

passenger (3.0.15) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in “start'

passenger (3.0.15) lib/phusion_passenger/spawn_manager.rb:219:in “spawn_rails_application’

passenger (3.0.15) lib/phusion_passenger/abstract_server_collection.rb:132:in “lookup_or_add'
lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'
lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
lib/phusion_passenger/spawn_manager.rb:213:in “spawn_rails_application’
lib/phusion_passenger/spawn_manager.rb:132:in “spawn_application'
lib/phusion_passenger/spawn_manager.rb:275:in "handle_spawn_application
lib/phusion_passenger/abstract_server.rb:357:in"__send_ '
lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
helper-scripts/passenger-spawn-server:99

Rendering /usr’/home/project/chiliproject/public/500.html (500 Internal Server Error)

</pre>
History
2012-12-18 12:52 am - Chris Dahn
Hi,

| got comparable erros due to some Redmine plugins.

Can you please post the plugins and Ruby + Rails version you have?

ciao,
Chris

2012-12-18 12:54 am - Chris Déhn

- Status changed from Open to Needs more information
